#
# spec file for package perl-XML-Parser (Version 2.34)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-XML-Parser
BuildRequires:  expat
Version:        2.34
Release:        43.2
Provides:       p_xmlpar
Obsoletes:      p_xmlpar
Requires:       expat >= 1.95.0
Requires:       perl = %{perl_version}
Autoreqprov:    on
URL:            http://cpan.org/modules/by-module/XML/
License:        Artistic License, GPL
Group:          Development/Libraries/Perl
Summary:        XML Parser (Perl Module)
Source:         XML-Parser-%{version}.tar.bz2
Patch:          XML-Parser-%{version}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a Perl extension interface to James Clark's XML parser, expat.

You will find examples in
/usr/share/doc/packages/perl-XML-Parser/samples.  For documentation
read the XML::Parser and XML::Parser::Expat man pages.



Authors:
--------
    Larry Wall <larry@wall.org>
    Clark Cooper <coopercc@netheaven.com>

%debug_package
%prep
%setup -n XML-Parser-%{version} -q
%patch

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README samples
%doc %{_mandir}/man?/*
%{perl_vendorarch}/auto/XML
%{perl_vendorarch}/XML
/var/adm/perl-modules/%{name}

%changelog -n perl-XML-Parser
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Feb 26 2004 - mjancar@suse.cz
- update to 2.34
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 - mjancar@suse.cz
- use $RPM_OPT_FLAGS
- fix filelist
* Mon May 19 2003 - ro@suse.de
- remove perllocal.pod
* Tue Jul 23 2002 - prehak@suse.cz
- update to version 2.31
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Tue Nov 20 2001 - rvasice@suse.cz
- fixed requires
* Tue Sep 04 2001 - rvasice@suse.cz
- fixed Group tag to Development/Libraries/Perl
* Thu Aug 16 2001 - rvasice@suse.cz
- update to version 2.30
* Fri Nov 10 2000 - cihlar@suse.cz
- renamed p_xmlpar -> perl-XML-Parser
- bzipped sources
- fixed copyright tag
* Mon Aug 21 2000 - ro@suse.de
- adapted for perl-5.6
* Thu Apr 20 2000 - cihlar@suse.cz
- added BuildRoot
* Thu Jan 20 2000 - ro@suse.de
- use macro for mandir
* Mon Jan 10 2000 - ke@suse.de
- Update: version 2.27.
- Use version macro.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 23 1999 - ro@suse.de
- added missing Parser.pm to filelist
* Wed Aug 04 1999 - ke@suse.de
- New package: version 1.23.
